/*********************************************************************
 *
 *      Copyright (C) 2002 Andrew Khan
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ***************************************************************************/

package org.xbib.datastructures.xslx.jxl.write.biff;

import org.xbib.datastructures.xslx.jxl.biff.CountryCode;
import org.xbib.datastructures.xslx.jxl.biff.IntegerHelper;
import org.xbib.datastructures.xslx.jxl.biff.Type;
import org.xbib.datastructures.xslx.jxl.biff.WritableRecordData;


/**
 * Record containing the localization information
 */
class CountryRecord extends WritableRecordData {
    /**
     * The user interface language
     */
    private final int language;

    /**
     * The regional settings
     */
    private final int regionalSettings;

    /**
     * Constructor
     */
    public CountryRecord(CountryCode lang, CountryCode r) {
        super(Type.COUNTRY);

        language = lang.getValue();
        regionalSettings = r.getValue();
    }

    public CountryRecord(org.xbib.datastructures.xslx.jxl.read.biff.CountryRecord cr) {
        super(Type.COUNTRY);

        language = cr.getLanguageCode();
        regionalSettings = cr.getRegionalSettingsCode();
    }

    /**
     * Retrieves the data to be written to the binary file
     *
     * @return the binary data
     */
    public byte[] getData() {
        byte[] data = new byte[4];

        IntegerHelper.getTwoBytes(language, data, 0);
        IntegerHelper.getTwoBytes(regionalSettings, data, 2);

        return data;
    }
}








